io_readfile(3)

NAME
io_readfile - open a file for reading

SYNTAX
#include <libowfat/io.h> int io_readfile(int64* d,const char* filename);

DESCRIPTION
io_readfile sets d to the number of a new descriptor reading from the disk file named filename, and returns 1. If something goes wrong, io_readfile sets errno to indicate the error, and returns 0; it does not create a new descriptor, and it does not touch d.

SEE ALSO
io_createfile(3), io_appendfile(3), io_readwritefile(3)